Bug 12600 - dbcheck does not find or fix dangling links on live objects
dbcheck does not find or fix dangling links on live objects
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-23 22:44 UTC by Garming Sam
Modified: 2017-03-02 07:59 UTC (History)
1 user (show)

See Also:


Attachments
patch for 4.6 (18.19 KB, patch)
2017-02-28 01:55 UTC, Garming Sam
abartlet: review+
Details
patch for 4.5 (18.17 KB, patch)
2017-02-28 02:21 UTC, Garming Sam
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Garming Sam 2017-02-23 22:44:47 UTC
dbcheck works with objects which are dead on one end or the other. But it does not find the case where both objects are alive, but one half of the pair of linked attributes is missing.
Comment 1 Garming Sam 2017-02-28 01:55:31 UTC
Created attachment 12988 [details]
patch for 4.6
Comment 2 Garming Sam 2017-02-28 02:21:25 UTC
Created attachment 12990 [details]
patch for 4.5
Comment 3 Stefan Metzmacher 2017-02-28 08:43:31 UTC
Pushed to autobuild-v4-{5,6}-test.
Comment 4 Karolin Seeger 2017-03-02 07:59:14 UTC
(In reply to Stefan Metzmacher from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!